{
	"parent":"alexsmobs:alexsmobs/root",
	"display":{
		"icon":{
			"item":"recrafted_creatures:zebra_spawn_egg"
		},
		"title":{
			"text":"Unfamiliar Fauna"
		},
		"description":{
			"text":"Encounter all Recrafted Creatures mobs"
		},
		"frame":"goal",
		"show_toast":true,
		"announce_to_chat":true,
		"hidden":false
	},
	"rewards":{
		"experience":5
	},
	"criteria":{
		"zebra":{
			"trigger":"minecraft:tick",
			"conditions":{
				"player":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"minecraft:player",
						"type_specific":{
							"looking_at":{
								"type":"recrafted_creatures:zebra"
							},
							"type":"player"
						}
					},
					"entity":"this"
				}]
			}
		},
		"chameleon":{
			"trigger":"minecraft:tick",
			"conditions":{
				"player":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"minecraft:player",
						"type_specific":{
							"looking_at":{
								"type":"recrafted_creatures:chameleon"
							},
							"type":"player"
						}
					},
					"entity":"this"
				}]
			}
		},
		"owl":{
			"trigger":"minecraft:tick",
			"conditions":{
				"player":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"minecraft:player",
						"type_specific":{
							"looking_at":{
								"type":"recrafted_creatures:owl"
							},
							"type":"player"
						}
					},
					"entity":"this"
				}]
			}
		},
		"orangutan":{
			"trigger":"minecraft:tick",
			"conditions":{
				"player":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"minecraft:player",
						"type_specific":{
							"looking_at":{
								"type":"recrafted_creatures:orangutan"
							},
							"type":"player"
						}
					},
					"entity":"this"
				}]
			}
		},
		"giraffe":{
			"trigger":"minecraft:tick",
			"conditions":{
				"player":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"minecraft:player",
						"type_specific":{
							"looking_at":{
								"type":"recrafted_creatures:giraffe"
							},
							"type":"player"
						}
					},
					"entity":"this"
				}]
			}
		},
		"marmot":{
			"trigger":"minecraft:tick",
			"conditions":{
				"player":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"minecraft:player",
						"type_specific":{
							"looking_at":{
								"type":"recrafted_creatures:marmot"
							},
							"type":"player"
						}
					},
					"entity":"this"
				}]
			}
		},
		"secretarybird":{
			"trigger":"minecraft:tick",
			"conditions":{
				"player":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"minecraft:player",
						"type_specific":{
							"looking_at":{
								"type":"recrafted_creatures:secretarybird"
							},
							"type":"player"
						}
					},
					"entity":"this"
				}]
			}
		},
		"beaver":{
			"trigger":"minecraft:tick",
			"conditions":{
				"player":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"minecraft:player",
						"type_specific":{
							"looking_at":{
								"type":"recrafted_creatures:beaver"
							},
							"type":"player"
						}
					},
					"entity":"this"
				}]
			}
		},
		"mammoth":{
			"trigger":"minecraft:tick",
			"conditions":{
				"player":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"minecraft:player",
						"type_specific":{
							"looking_at":{
								"type":"recrafted_creatures:mammoth"
							},
							"type":"player"
						}
					},
					"entity":"this"
				}]
			}
		},
		"red_panda":{
			"trigger":"minecraft:tick",
			"conditions":{
				"player":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"minecraft:player",
						"type_specific":{
							"looking_at":{
								"type":"recrafted_creatures:red_panda"
							},
							"type":"player"
						}
					},
					"entity":"this"
				}]
			}
		}
	},
	"requirements":[
		[
			"red_panda"
		],
		[
			"zebra"
		],
		[
			"mammoth"
		],
		[
			"giraffe"
		],
		[
			"marmot"
		],
		[
			"owl"
		],
		[
			"chameleon"
		],
		[
			"orangutan"
		],
		[
			"secretarybird"
		],
		[
			"beaver"
		]
	],
	"sends_telemetry_event":false
}